<?php
/*
  编辑分类文件
*/
  if(!isset($_GET['catId'])){//如果没有传过来Id,显示错误，并退出
   	echo "非法访问";
   	exit;
   }else{//否则进行处理
   	$catId=$_GET['catId'];//获得分类Id
   	include_once('conn.php');//包含数据库配置文件
   	include_once('smarty.php');//包含smarty配置文件
   	$sql="select * from cat where catId='".$catId."'";//检索分类表中的i等于传过来的Id
   	$result=mysql_query($sql,$conn);
    $row=mysql_fetch_assoc($result);//循环输出数据
    //print_r($row);
   	$smarty->assign('row',$row);
   	$smarty->display('editCat.html');
   }
?>